<?php 

namespace Concrete\Package\JlSafeHtml;

use Package;

defined('C5_EXECUTE') or die("Access Denied.");

/*
 * John Liddiard (aka JohntheFish) www.c5magic.co.uk
 * This software is licensed under the terms described in the concrete5.org marketplace.
 * Please find the add-on there for the latest license copy.
 */

class Controller extends Package
{

    protected $pkgHandle = 'jl_safe_html';
    protected $appVersionRequired = '5.7.0.4';
    protected $pkgVersion = '7.0';

    public function getPackageName()
    {
        return t('Safe HTML');
    }

    public function getPackageDescription()
    {
        return t('A safe template for HTML blocks that do dangerous things. If stuck, edit application/config/generated_overrides/safe_html.php and set \'panic\' => true.');
    }
    
    public function install(){
        parent::install();
        
        /*
         * This isn't necessary, but creates a config variable in the right place for troubled
         * developers to set to true.
         * 
         * http://documentation.concrete5.org/developers/packages/storing-configuration-values
         */
        $pkg = Package::getByHandle('jl_safe_html');
        $safe = $pkg->getFileConfig()->save('safe_html.panic',false);
    }

}
